package de.renew.netcomponents;

import org.junit.jupiter.api.Test;

import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.times;
import static org.mockito.Mockito.verify;

/**
 * @author Elden Sokoli
 */

class SelectNetComponentsToolCommandTest {

    @Test
    void testExecute() {

        //given
        ComponentsToolPlugin ctp = mock(ComponentsToolPlugin.class);
        SelectNetComponentsToolCommand command = new SelectNetComponentsToolCommand(ctp);

        //when
        command.execute();

        //then
        verify(ctp, times(1)).selectDirAndCreatePalette();
    }
}